import { http } from '@/utils/http/axios';

export function getDeployList(params) {
  return http.request({
    url: '/deploy/list',
    method: 'get',
    params,
  });
}

export function DeployTask(params) {
  return http.request({
    url: '/deploy/task',
    method: 'post',
    params,
  });
}

export function DeployStop(params) {
  return http.request({
    url: '/deploy/stop',
    method: 'post',
    params,
  });
}

export function DeployEdit(params) {
  return http.request({
    url: '/deploy/edit',
    method: 'post',
    params,
  });
}

export function DeployDelete(params) {
  return http.request({
    url: '/deploy/delete',
    method: 'post',
    params,
  });
}

export function getDeployLogList(params) {
  return http.request({
    url: '/deployLog/list',
    method: 'get',
    params,
  });
}

export function getDeployLogView(params) {
  return http.request({
    url: '/deployLog/view',
    method: 'get',
    params,
  });
}
